<?php
namespace Incoviba\nuevo\Venta;

use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property int id
 * @property Venta venta_id
 * @property TipoFondo tipo_id
 * @property Pago pago_id
 *
 */
class FondoVenta extends NewModel
{
	protected static $_table = 'fondo_ventas';
	
    public function venta()
    {
    	return $this->belongs_to(Venta::class, 'venta_id')->findOne();
    }
    public function tipo()
    {
    	return $this->belongs_to(TipoFondo::class, 'tipo_id')->findOne();
    }
    public function pago()
    {
    	return $this->belongs_to(Pago::class, 'pago_id')->findOne();
    }
}
